import { ConfigurationDomain } from '@modules/configuration/core/domain/configuration.types';
import { IsEnum, IsNotEmpty, IsString } from 'class-validator';

export class GetConfigurationRequestDto {
  @IsEnum(ConfigurationDomain)
  @IsNotEmpty()
  domain: ConfigurationDomain;

  @IsString()
  @IsNotEmpty()
  key: string;
}
